image: node:14

before_script:
    - npm install

cache:
    paths:
        - node_modules/
    
Test build: 
    script:
        - npm run build
    artifacts:
        paths:
            - css/*
            - js/*
        
Deploy npm:
    stage: deploy
    only:
        - tags
    script:
        - npm run build
        - echo '//registry.npmjs.org/:_authToken=${NPM_TOKEN}'>.npmrc
        - npm publish
        
Deploy site:
    stage: deploy
    only:
        - tags
    script:
        - mkdir -p ~/.ssh
        - chmod 700 ~/.ssh
        - echo "${SSH_PRIVATE_KEY}" > ~/.ssh/id_rsa
        - chmod 600 ~/.ssh/id_rsa
        - ssh-keyscan ftp.r-w-x.net >> ~/.ssh/known_hosts
        - chmod 644 ~/.ssh/known_hosts
        - npm run build
        - scp dist/bulma-rwx-site-${CI_COMMIT_TAG}.zip rwxywdhy@ftp.r-w-x.net:/home/rwxywdhy/depot/bulma-rwx/
        - ssh rwxywdhy@ftp.r-w-x.net "mkdir -p /home/rwxywdhy/bulma-rwx/${CI_COMMIT_TAG}"
        - ssh rwxywdhy@ftp.r-w-x.net "unzip -o /home/rwxywdhy/depot/bulma-rwx/bulma-rwx-site-${CI_COMMIT_TAG}.zip -d /home/rwxywdhy/bulma-rwx/${CI_COMMIT_TAG}/"
        - ssh rwxywdhy@ftp.r-w-x.net "rm -f /home/rwxywdhy/bulma-rwx/current && ln -sf -r /home/rwxywdhy/bulma-rwx/${CI_COMMIT_TAG} /home/rwxywdhy/bulma-rwx/current"
        - ssh rwxywdhy@ftp.r-w-x.net "find /home/rwxywdhy/bulma-rwx -type f"
        
    
    
